Main Page Widgets Namespaces Book

# Gdk::DragContext Class Reference

Inheritance diagram for Gdk::DragContext:

[legend]
List of all members.

## Public Member Functions
virtual | ~DragContext ()
GdkDragContext* | gobj ()
| Provides access to the underlying C GObject.
const GdkDragContext* | gobj () const
| Provides access to the underlying C GObject.
GdkDragContext* | gobj_copy ()
void | drag_status (DragAction action, guint32 time)
| Selects one of the actions offered by the drag source.
void | drop_reply (bool ok, guint32 time)
| Accepts or rejects a drop.
void | drop_finish (bool success, guint32 time)
| Ends the drag operation after a drop.
GdkAtom | get_selection ()
| Returns the selection atom for the current source window.
void | drag_finish (bool success, bool del, guint32 time)
void | set_icon (const Glib::RefPtr<Gdk::Colormap>& colormap, const Glib::RefPtr<Gdk::Pixmap>& pixmap, const Glib::RefPtr<Gdk::Bitmap>& mask, int hot_x, int hot_y)
void | set_icon (const Glib::RefPtr<Gdk::Pixbuf>& pixbuf, int hot_x, int hot_y)
void | set_icon (const Glib::ustring& stock_id, int hot_x, int hot_y)
void | set_icon ()
DragProtocol | get_protocol () const
bool | get_is_source () const
DragAction | get_actions () const
DragAction | get_suggested_action () const
DragAction | get_action () const
guint32 | get_start_time () const
void | find_window_for_screen (const Glib::RefPtr<Window>& drag_window, const Glib::RefPtr<Screen>& screen, int x_root, int y_root, Glib::RefPtr<Window>& dest_window, GdkDragProtocol* protocol)
## Static Public Member Functions
Glib::RefPtr<DragContext> | create ()
## Protected Member Functions
| DragContext ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gdk::DragContext> | wrap (GdkDragContext* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::DragContext::~DragContext | ( |  | ) | `[virtual]`

Gdk::DragContext::DragContext | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<DragContext> Gdk::DragContext::create | ( |  | ) | `[static]`

void Gdk::DragContext::drag_finish | ( | bool | success,
|  | bool | del,
|  | guint32 | time
| ) |

void Gdk::DragContext::drag_status | ( | DragAction | action,
|  | guint32 | time
| ) |

  | Selects one of the actions offered by the drag source. This function is called by the drag destination in response to gdk_drag_motion() called by the drag source. Parameters:
  context | A Gdk::DragContext.
  action | The selected action which will be taken when a drop happens, or 0 to indicate that a drop will not be accepted.
  time_ | The timestamp for this operation.

void Gdk::DragContext::drop_finish | ( | bool | success,
|  | guint32 | time
| ) |

  | Ends the drag operation after a drop. This function is called by the drag destination. Parameters:
  context | A Gtk::DragContext.
  success | `true` if the data was successfully received.
  time_ | The timestamp for this operation.

void Gdk::DragContext::drop_reply | ( | bool | ok,
|  | guint32 | time
| ) |

  | Accepts or rejects a drop. This function is called by the drag destination in response to a drop initiated by the drag source. Parameters:
  context | A Gdk::DragContext.
  ok | `true` if the drop is accepted.
  time_ | The timestamp for this operation.

void Gdk::DragContext::find_window_for_screen | ( | const Glib::RefPtr<Window>& | drag_window,
|  | const Glib::RefPtr<Screen>& | screen,
|  | int | x_root,
|  | int | y_root,
|  | Glib::RefPtr<Window>& | dest_window,
|  | GdkDragProtocol* | protocol
| ) |

DragAction Gdk::DragContext::get_action | ( |  | ) | const

DragAction Gdk::DragContext::get_actions | ( |  | ) | const

bool Gdk::DragContext::get_is_source | ( |  | ) | const

DragProtocol Gdk::DragContext::get_protocol | ( |  | ) | const

GdkAtom Gdk::DragContext::get_selection | ( |  | ) |

  | Returns the selection atom for the current source window. Parameters:
  context | A Gdk::DragContext.
Returns: The selection atom.

guint32 Gdk::DragContext::get_start_time | ( |  | ) | const

DragAction Gdk::DragContext::get_suggested_action | ( |  | ) | const

const GdkDragContext* Gdk::DragContext::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDragContext* Gdk::DragContext::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GdkDragContext* Gdk::DragContext::gobj_copy | ( |  | ) |

void Gdk::DragContext::set_icon | ( |  | ) |

void Gdk::DragContext::set_icon | ( | const Glib::ustring& | stock_id,
|  | int | hot_x,
|  | int | hot_y
| ) |

void Gdk::DragContext::set_icon | ( | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf,
|  | int | hot_x,
|  | int | hot_y
| ) |

void Gdk::DragContext::set_icon | ( | const Glib::RefPtr<Gdk::Colormap>& | colormap,
|  | const Glib::RefPtr<Gdk::Pixmap>& | pixmap,
|  | const Glib::RefPtr<Gdk::Bitmap>& | mask,
|  | int | hot_x,
|  | int | hot_y
| ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::DragContext> wrap | ( | GdkDragContext* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- dragcontext.h